YamlPropertySourceLoader (Grails 3.2.4)
Date: 2016-12-21

Package: org.grails.config.yaml

## [Groovy] Class YamlPropertySourceLoader

- org.grails.config.yaml.YamlPropertySourceLoader

- All Implemented Interfaces and Traits:
    org.springframework.boot.env.PropertySourceLoader

      @groovy.transform.CompileStatic
      @org.springframework.core.annotation.Order(Ordered.HIGHEST_PRECEDENCE)
      class YamlPropertySourceLoader
      extends org.springframework.beans.factory.config.YamlProcessor

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String[]` | `getFileExtensions()`
    `org.springframework.core.env.PropertySource<?>` | `load(java.lang.String name, org.springframework.core.io.Resource resource, java.lang.String profile)`
    `org.springframework.core.env.PropertySource<?>` | `load(java.lang.String name, org.springframework.core.io.Resource resource, java.lang.String profile, boolean parseFlatKeys)`
    `org.springframework.core.env.PropertySource<?>` | `load(java.lang.String name, org.springframework.core.io.Resource resource, java.lang.String profile, boolean parseFlatKeys, java.util.List<java.lang.String> filteredKeys)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.beans.factory.config.YamlProcessor` | `org.springframework.beans.factory.config.YamlProcessor#setDocumentMatchers([Lorg.springframework.beans.factory.config.YamlProcessor$DocumentMatcher;), org.springframework.beans.factory.config.YamlProcessor#setMatchDefault(boolean), org.springframework.beans.factory.config.YamlProcessor#setResolutionMethod(org.springframework.beans.factory.config.YamlProcessor$ResolutionMethod), org.springframework.beans.factory.config.YamlProcessor#setResources([Lorg.springframework.core.io.Resource;), org.springframework.beans.factory.config.YamlProcessor#wait(long, int), org.springframework.beans.factory.config.YamlProcessor#wait(long), org.springframework.beans.factory.config.YamlProcessor#wait(), org.springframework.beans.factory.config.YamlProcessor#equals(java.lang.Object), org.springframework.beans.factory.config.YamlProcessor#toString(), org.springframework.beans.factory.config.YamlProcessor#hashCode(), org.springframework.beans.factory.config.YamlProcessor#getClass(), org.springframework.beans.factory.config.YamlProcessor#notify(), org.springframework.beans.factory.config.YamlProcessor#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override java.lang.String[] getFileExtensions()

    - #### @java.lang.Override org.springframework.core.env.PropertySource<?> load(java.lang.String name, org.springframework.core.io.Resource resource, java.lang.String profile)

    - #### org.springframework.core.env.PropertySource<?> load(java.lang.String name, org.springframework.core.io.Resource resource, java.lang.String profile, boolean parseFlatKeys)

    - #### org.springframework.core.env.PropertySource<?> load(java.lang.String name, org.springframework.core.io.Resource resource, java.lang.String profile, boolean parseFlatKeys, java.util.List<java.lang.String> filteredKeys)